Package net.shibboleth.shared.component

# Interface IdentifiableComponent

All Superinterfaces:
  `Component`, `IdentifiedComponent`

All Known Implementing Classes:
  `AbstractIdentifiableInitializableComponent`, `AbstractReloadableService`, `AbstractServiceableComponent`, `ApplicationContextServiceableComponent`, `BasicAccessControlService`, `DelegatingAccessControlService`, `IPRangeAccessControl`, `LogbackLoggingService`, `MockReloadableService`, `ReloadableSpringService`, `ReloadingAccessControlService`, `ScriptedRunnable`, `ServiceableAccessControlService`, `SpringServiceableComponent`

public interface IdentifiableComponent extends IdentifiedComponent
A `Component` whose identifier can be set.

## Method Summary

Modifier and Type
Method
Description
`void`
`setId(String componentId)`
Set the ID of this component.

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

## Method Details

### setId

void setId(@Nonnull @NotEmpty String componentId)
Set the ID of this component.

Parameters:
  `componentId` - ID of this component